SystemOrganization addCategory: #'A3-Model-Tests'!
SystemOrganization addCategory: #'A3-Model'!

TestCase subclass: #TestA3GettingTP0
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A3-Model-Tests'!

!TestA3GettingTP0 methodsFor: 'as yet unclassified' stamp: 'DiegoSanchez 1/2/2013 17:11'!
testGettingTP0
	| tp aStudent aCode |
	tp := A3Tp download: aStudent.
	aCode := tp code.
	self assert: (aCode asString includesSubString: '"7507 - 2C2012 - TP0 - Enunciado 1".').! !

Object subclass: #A3Tp
	instanceVariableNames: 'code student'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A3-Model'!

!A3Tp commentStamp: 'DiegoSanchez 12/30/2012 10:04' prior: 0!
An A3Tp is a SmallTalk TP for AlgoIII Fiuba.
!

!A3Tp class methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 16:35'!
download: aStudent
	| tp  |
	tp := self new.
	tp student: aStudent.
	^tp.! !

!A3Tp class methodsFor: 'as yet unclassified' stamp: 'DiegoSanchez 1/2/2013 17:03'!
resource
	^'http://localhost:81/current_homework/7507-1C2012-TP0-Enunciado1.txt'.! !

!A3Tp methodsFor: 'as yet unclassified' stamp: 'DiegoSanchez 1/2/2013 17:12'!
code
	code isNil ifTrue: [
		code := HTTPClient httpGet: A3Tp resource.
	].
	^code asString.
	! !

!A3Tp methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 16:36'!
student: aStudent
	student := aStudent.! !

!A3Tp methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 14:10'!
title
	^'TP 0'.! !
